## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/csstring.h File Reference

String utility class. More...

`#include "csextern.h"`
`#include "csutil/snprintf.h"`
`#include "csutil/util.h"`

Go to the source code of this file.

## Classes

class | csString
| Thin wrapper around csStringFast<> with its default buffer size. More...
class | csStringBase
| This is a string class with a range of useful operators and type-safe overloads. More...
class | csStringFast< LEN >
| Subclass of csStringBase that contains an internal buffer which is faster than the always dynamically allocated buffer of csStringBase. More...
class | csStringFast< 0 >

## Typedefs

typedef csStringFast | csStringFastDefault
| Superclass of csString; normally csStringFast<>.

## Functions

csStringBase | operator+ (const csStringBase &iStr1, const char *iStr2)
| Concatenate a csStringBase with a null-terminated C-string.
csStringBase | operator+ (const char *iStr1, const csStringBase &iStr2)
| Concatenate a null-terminated C-string with a csStringBase.

## Detailed Description

String utility class.

Definition in file csstring.h.

## Typedef Documentation

typedef csStringFast csStringFastDefault

| Superclass of csString; normally csStringFast<>. Definition at line 1110 of file csstring.h.

## Function Documentation

csStringBase operator+ | ( | const csStringBase & | iStr1,
|  | const char * | iStr2
| ) | `[inline]`

| Concatenate a csStringBase with a null-terminated C-string. Definition at line 908 of file csstring.h. References csStringBase::Append(), and csStringBase::Clone().

csStringBase operator+ | ( | const char * | iStr1,
|  | const csStringBase & | iStr2
| ) | `[inline]`

| Concatenate a null-terminated C-string with a csStringBase. Definition at line 902 of file csstring.h.